Upgrading vCenter and ESXi Hosts 5.1 to 5.5 in a isilon environment

Hey all,

We have an ESXi cluster. All hosts are ESXi 5.1 and vCenter 5.1. We want to upgrade to ESXi 5.5 and upgrade vCenter to 5.5 as well.

The datastores are spanned across 4 isilon x400 NAS devices configured for NFS.  The version of OneFS currently running is 7.0.2.1

Has anyone successfully upgraded their vmware infrastrucutre in this or a similar environment?  Any caveats we should be looking for?  Any help is greatly appreciated!

Thanks and be well,

Carl

Labels (2)
0 Kudos
4 Replies
jwalken
1 Nickel

Re: Upgrading vCenter and ESXi Hosts 5.1 to 5.5 in a isilon environment

Hi Carl.

You'll continue to access your NFS datastores as before, whether you're using SmartConnect load balancing or IP-based datastore path management, just as before. OneFS 7.0.x on X-node hardware is listed on the VMware Hardware Compatibility Guide for vSphere 5.5, so you'll continue to receive full support from both EMC and VMware.

That said, you'll want to check out this excellent blog post from EMC's own Jase McCarty on interoperability between vSphere 5.5 and Isilon before you proceed.

The current version of the Isilon VAAI-NAS plugin will not function after upgrading your ESXi hosts to vSphere 5.5. I don't have a specific ETA from the development team, but the Isilon engineering team tells me that an updated VAAI-NAS plugin is currently undergoing certification testing, with a release promised soon. So if you go ahead with the vSphere 5.5 upgrade, you can assume that you won't have VAAI integration support until the new plugin is released.


Thanks for your question, and welcome to the EMC Communities Network!

0 Kudos

Re: Upgrading vCenter and ESXi Hosts 5.1 to 5.5 in a isilon environment

Hi James,

Thank you for the detailed response and the warm welcome!

Considering I'm extremely new to this particular environment and Isilon products in general - where would I be able to tell if they are in fact using the VAAI-NAS plugin?

Thanks!

0 Kudos
jwalken
1 Nickel

Re: Upgrading vCenter and ESXi Hosts 5.1 to 5.5 in a isilon environment

Hi Carl.

You can check your vSphere Update Manager's patch repository for the isilon_nas_vaai_plugin module (if it isn't in there, you probably don't have it installed). Alternately, you can log on to one of your ESXi hosts and check the /usr/lib/vmware/nas_plugins directory for any isi_plugin_* files. If they don't exist, then the VAAI plugin definitely isn't installed.

jaw

0 Kudos
PhilLam
2 Iron

Re: Upgrading vCenter and ESXi Hosts 5.1 to 5.5 in a isilon environment

Isilon VAAI-NAS plugin 1.2  supports ESXi/vSphere 5.5 now.

from "docu56426_VAAI-NAS-Plug-In-for-Isilon-1.2-Release-Notes.pdf":

VAAI Plug-in for Isilon 1.2 requires VMware ESXi 5.5 and OneFS version 7.1.0.

https://download.emc.com/downloads/DL56428_Isilon_VAAI_1.2_installation_file_is_a_plugin_for_VMware_...

https://support.emc.com/docu56426_VAAI_NAS_Plug-In_for_Isilon_1.2_Release_Notes.pdf?language=en_US

0 Kudos